2021-03-03 03:15 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001001Frama-CPlug-in > Evapublic2012-09-19 17:16
Reporteryakobowski 
Assigned Topascal 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product VersionFrama-C Nitrogen-20111001 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0001001: Invalid handling of shift of pointer address
DescriptionThe behavior of the value analysis is incorrect on the following example, which is valid according to the norm.

char t[10];

int main () {
  int r = (unsigned long)t << 8;
  return r;
}
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002430

pascal (reporter)

Fixed in 15961
+Notes

-Issue History
Date Modified Username Field Change
2011-10-27 12:54 yakobowski New Issue
2011-10-27 12:54 yakobowski Status new => assigned
2011-10-27 12:54 yakobowski Assigned To => pascal
2011-10-27 18:04 pascal Note Added: 0002430
2011-10-27 18:04 pascal Status assigned => resolved
2011-10-27 18:04 pascal Resolution open => fixed
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed
2018-01-12 14:26 signoles Category Plug-in > value analysis => Plug-in > Eva
+Issue History